> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Plan a sandbox inventory-source test campaign

> Inspect source readiness and product candidates without changing campaign state. When sourceId, sandbox readiness, advertiser, flight, and package selections are complete, the response includes a five-minute, identity-bound, single-use planToken. Call this endpoint again after choosing a product if the first exploratory plan is incomplete.



## OpenAPI

````yaml /v2/storefront-api-v2.yaml post /test-campaigns/plan
openapi: 3.0.0
info:
  title: Scope3 Storefront API
  version: 2.0.0
  description: |-
    REST API for partners to manage storefronts, inventory sources, and billing.

    ## Authentication

    All endpoints require a Bearer token in the Authorization header:
    ```
    Authorization: Bearer your-api-key
    ```

    ## Base URL

    `https://api.interchange.io/api/v2/storefront`

    ## For AI Agents

    AI agents can use the MCP endpoint at `/mcp/v2/storefront` with three tools:
    - `initialize`: Start an MCP session
    - `api_call`: Make REST API calls
    - `ask_about_capability`: Learn about API features
servers:
  - url: https://api.interchange.io/api/v2/storefront
    description: Production server
security: []
tags:
  - name: Account
    description: Account management, service tokens, and preferences
  - name: Storefront
    description: Manage storefront and inventory sources
  - name: Storefront Agents
    description: List and manage registered sales, signals, and outcomes agents
  - name: Storefront Activity
    description: Audit log of configuration and inventory changes on the storefront
  - name: Storefront Billing
    description: Payout bank details and billing configuration for storefronts
  - name: AI Usage
    description: Storefront AI token usage visibility by model
  - name: MCP
    description: Model Context Protocol endpoints
paths:
  /test-campaigns/plan:
    post:
      tags:
        - Storefront
      summary: Plan a sandbox inventory-source test campaign
      description: >-
        Inspect source readiness and product candidates without changing
        campaign state. When sourceId, sandbox readiness, advertiser, flight,
        and package selections are complete, the response includes a
        five-minute, identity-bound, single-use planToken. Call this endpoint
        again after choosing a product if the first exploratory plan is
        incomplete.
      operationId: planInventorySourceTestCampaign
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    sandbox:
                      type: boolean
                      enum:
                        - true
                    forceRefresh:
                      type: boolean
                    sellerSandboxReady:
                      type: boolean
                    advertiserDomain:
                      type: string
                      pattern: >-
                        ^(?=.{1,253}$)([a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z]{2,}$
                    advertiserId:
                      type: integer
                      maximum: 9007199254740991
                      minimum: 1
                    campaignBrief:
                      type: string
                      minLength: 1
                      maxLength: 10000
                    budget:
                      type: number
                      minimum: 0
                      exclusiveMinimum: true
                    currency:
                      type: string
                      pattern: ^[A-Za-z]{3}$
                    flightStart:
                      anyOf:
                        - type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                    flightEnd:
                      anyOf:
                        - type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                    packages:
                      minItems: 1
                      type: array
                      items:
                        type: object
                        properties:
                          productId:
                            type: string
                            minLength: 1
                          budget:
                            type: number
                            minimum: 0
                            exclusiveMinimum: true
                          pricingOptionId:
                            type: string
                            minLength: 1
                          bidPrice:
                            type: number
                          pacing:
                            type: string
                            enum:
                              - even
                              - asap
                              - front_loaded
                        required:
                          - productId
                          - budget
                    maxCandidates:
                      type: integer
                      minimum: 1
                      maximum: 10
                    sourceId:
                      type: string
                      minLength: 1
                    sourceName:
                      type: string
                      minLength: 1
                  required:
                    - sandbox
                    - sourceId
                - type: object
                  properties:
                    sandbox:
                      type: boolean
                      enum:
                        - true
                    forceRefresh:
                      type: boolean
                    sellerSandboxReady:
                      type: boolean
                    advertiserDomain:
                      type: string
                      pattern: >-
                        ^(?=.{1,253}$)([a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z]{2,}$
                    advertiserId:
                      type: integer
                      maximum: 9007199254740991
                      minimum: 1
                    campaignBrief:
                      type: string
                      minLength: 1
                      maxLength: 10000
                    budget:
                      type: number
                      minimum: 0
                      exclusiveMinimum: true
                    currency:
                      type: string
                      pattern: ^[A-Za-z]{3}$
                    flightStart:
                      anyOf:
                        - type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                    flightEnd:
                      anyOf:
                        - type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        - type: string
                          format: date
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                    packages:
                      minItems: 1
                      type: array
                      items:
                        type: object
                        properties:
                          productId:
                            type: string
                            minLength: 1
                          budget:
                            type: number
                            minimum: 0
                            exclusiveMinimum: true
                          pricingOptionId:
                            type: string
                            minLength: 1
                          bidPrice:
                            type: number
                          pacing:
                            type: string
                            enum:
                              - even
                              - asap
                              - front_loaded
                        required:
                          - productId
                          - budget
                    maxCandidates:
                      type: integer
                      minimum: 1
                      maximum: 10
                    sourceId:
                      type: string
                      minLength: 1
                    sourceName:
                      type: string
                      minLength: 1
                  required:
                    - sandbox
                    - sourceName
      responses:
        '200':
          description: Plan a sandbox inventory-source test campaign
          content:
            application/json:
              schema:
                type: object
                properties:
                  confirmation:
                    type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - ready
                          - incomplete
                      planToken:
                        nullable: true
                        type: string
                      expiresAt:
                        nullable: true
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      missingInputs:
                        type: array
                        items:
                          type: string
                    required:
                      - status
                      - planToken
                      - expiresAt
                      - missingInputs
                    additionalProperties: false
                required:
                  - confirmation
                additionalProperties: {}
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      description: Standard error response
      type: object
      properties:
        data:
          type: string
          nullable: true
          enum:
            - null
        error:
          $ref: '#/components/schemas/ApiError'
      required:
        - data
        - error
      additionalProperties: false
    ApiError:
      description: Structured error object
      type: object
      properties:
        code:
          description: Machine-readable error code
          type: string
        message:
          description: Human-readable error message
          type: string
        field:
          description: Field path associated with the error
          type: string
        details:
          description: Additional error context
          type: object
          additionalProperties: {}
      required:
        - code
        - message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or access token

````